.\" Copyright 1993 David Metcalfe (david@prism.demon.co.uk)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" References consulted:
.\"     Linux libc source code
.\"     Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991)
.\"     386BSD man pages
.\" Modified Sat Jul 24 18:00:10 1993 by Rik Faith (faith@cs.unc.edu)
.\" Modified Mon Jan 20 12:04:18 1997 by Andries Brouwer (aeb@cwi.nl)
.TH STRSEP 3  "April 12, 1993" "GNU" "Linux Programmer's Manual"
.SH NAME
strsep \- extract token from string
.SH SYNOPSIS
.nf
.B #include <string.h>
.sp
.BI "char *strsep(char **" stringp ", const char *" delim );
.fi
.SH DESCRIPTION
The \fBstrsep()\fP function returns the next token from the string
\fIstringp\fP which is delimited by \fIdelim\fP.  The token is
terminated with a `\\0' character and \fIstringp\fP is updated to
point past the token.
.SH "RETURN VALUE"
The \fBstrsep()\fP function returns a pointer to the token, or NULL
if \fIdelim\fP is not found in \fIstringp\fP.
.SH NOTES
The \fBstrsep()\fP function was introduced as a replacement for
\fBstrtok()\fP, since the latter cannot handle empty fields.
(However, \fBstrtok()\fP conforms to ANSI-C and hence is more portable.)
.SH "CONFORMING TO"
BSD 4.4
.SH "SEE ALSO"
.BR index "(3), " memchr "(3), " rindex "(3), " strchr (3),
.BR strpbrk "(3), " strspn "(3), " strstr "(3), " strtok (3)
